Packages - Bug #1001

[ruby] 2.3.1-1.parabolal fails to load openssl
2016-05-04 01:51 AM - fauno

Status: fixed % Done: 100%
Priority: bug

Assignee:

Category:

Description

irb(main):001:0> require 'openssl'

LoadError: /usr/lib/ruby/2.3.0/i686-linux/openssl.so: undefined symbol: SSLv2_method - /usr/lib/ruby/2.3.0/i686-linux/openssl.so
from /ustr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in “require’

from /ustr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in “require’

from /ustr/lib/ruby/2.3.0/openssl.rb:13:in “<top (required)>'

from /ust/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in “require’

from /ust/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in “require’

from (irb):1

from /usr/bin/irb:11:in “<main>'

History

#1 - 2016-05-04 09:25 PM - Anonymous

Since a new version of openssl has been released today 0, could you upgrade your machine to see if it was built against the new ruby version?

#2 - 2016-05-18 08:01 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from open to fixed
https://www.parabola.nu/packages/core/i686/openssl/
http://www.tcpdf.org

